syncope-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Francesco Chicchiriccò <ilgro...@apache.org>
Subject Re: javax.ws.rs-api version?
Date Thu, 08 Aug 2013 13:52:47 GMT
On 08/08/2013 14:47, Sergey Beryozkin wrote:
> Hi
> On 07/08/13 08:22, Francesco Chicchiriccò wrote:
>> Hi all,
>> currently javax.ws.rs-api version is set to 2.0-m15 either on trunk and
>> 1_1_X, while 2.0 is available.
>> When trying to update such dependency, a lot of compile errors are
>> reported, mainly due to some missing classes: any clue about what should
>> be done?
>>
> CXF 3.0.0 (due in a couple of months) has a 2.0 final API dep, there
> will be a minor migration effort when moving to it, I can help if
> needed, CXF 2.7.x actually depends on 2.0-m10, and most of the core
> features/API is the same between it and the final one

Thanks Sergey, CXF 3.0.0 looks much closer than Syncope 1.2.0, so I 
guess this is just fine, especially including your help for migration.

Regards.
-- 
Francesco Chicchiriccò

ASF Member, Apache Syncope PMC chair, Apache Cocoon PMC Member
http://people.apache.org/~ilgrosso/


Mime
View raw message